RagTime5TextInternal::ClusterText Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
RagTime5TextInternal::ClusterText Struct Reference

low level: the text cluster data More...

Inheritance diagram for RagTime5TextInternal::ClusterText:

## Public Member Functions
| ClusterText ()
| constructor More...
virtual | ~ClusterText ()
| destructor More...
Public Member Functions inherited from RagTime5ClusterManager::Cluster
| Cluster ()
| constructor More...
virtual | ~Cluster ()
| destructor More...

## Public Attributes
RagTime5ClusterManager::Link | m_contentLink
| the main content More...
RagTime5ClusterManager::Link | m_positionLink
| the position link More...
RagTime5ClusterManager::Link | m_clusterLink [2]
| cluster links 0: list of size 10(pipeline?) and 14(graphic?), 1: list of size 12(related to link) More...
std::vector< RagTime5ClusterManager::Link > | m_linkDefList
| the list of link zone More...
RagTime5ClusterManager::Link | m_unknownLink [5]
| two unknown link of field size 6, third field size 14, fourst of size 20, 5th of size 12 More...
Public Attributes inherited from RagTime5ClusterManager::Cluster
Type | m_type
| the cluster type More...
int | m_zoneId
| the zone id More...
bool | m_hiLoEndian
| the cluster hiLo endian More...
Link | m_dataLink
| the main data link More...
Link | m_nameLink
| the name link More...
Link | m_fieldClusterLink
| the field cluster links (def and pos) More...
std::vector< Link > | m_conditionFormulaLinks
| the conditions formula links More...
std::vector< Link > | m_settingLinks
| the settings links More...
std::vector< Link > | m_linksList
| the link list More...
std::vector< int > | m_clusterIdsList
| the cluster ids More...

## Additional Inherited Members
Public Types inherited from RagTime5ClusterManager::Cluster
enum | Type { C_ColorPattern, C_Fields, C_Layout, C_Pipeline, C_Root, C_Script, C_ColorStyles, C_FormatStyles, C_GraphicStyles, C_TextStyles, C_UnitStyles, C_ClusterB, C_ClusterC, C_Unknown }
| the cluster type More...

## Detailed Description

low level: the text cluster data

## Constructor & Destructor Documentation

RagTime5TextInternal::ClusterText::ClusterText | ( |  | ) |
| inline

constructor

virtual RagTime5TextInternal::ClusterText::~ClusterText | ( |  | ) |
| inlinevirtual

destructor

## Member Data Documentation

RagTime5ClusterManager::Link RagTime5TextInternal::ClusterText::m_clusterLink[2]

cluster links 0: list of size 10(pipeline?) and 14(graphic?), 1: list of size 12(related to link)

RagTime5ClusterManager::Link RagTime5TextInternal::ClusterText::m_contentLink

the main content

std::vector<RagTime5ClusterManager::Link> RagTime5TextInternal::ClusterText::m_linkDefList

the list of link zone

RagTime5ClusterManager::Link RagTime5TextInternal::ClusterText::m_positionLink

the position link

RagTime5ClusterManager::Link RagTime5TextInternal::ClusterText::m_unknownLink[5]

two unknown link of field size 6, third field size 14, fourst of size 20, 5th of size 12

The documentation for this struct was generated from the following file:

- RagTime5Text.cxx